<!-- template for the modal component -->
<script type="text/x-template" id="modal-search-template">
  <transition name="modal">
    <div class="modal-mask">
      <div class="modal-wrapper">
        <div class="modal-container">
  
          <div class="modal-header">
            <slot name="header">
              {{ header }}
            </slot>
          </div>
  
          <div class="modal-body">
            <slot name="body">
              <div class="alRight newCreate">
                <a class="button" type="button" :href="'/' + type + '/add'">新規作成</a>
              </div>
              <section>
                <form id="customerSearch" class="form-horizontal" method="GET">
                  <input type="hidden" value="50" name="pageLine">
                  <input type="hidden" value="0" name="offset">
                  <component 
                    v-bind:is="componentModalInputSearch"
                  ></component>
                </form>
              </section>

              <div class="row table-container">
                <div class="col col-xs-12">
                  <div class="box box-primary" style="margin-bottom: 5px">
                    <!-- /.box-header -->
                    <div class="box-body table-responsive no-padding table-scroll-vertical">
                      <table class="table table-hover table-striped table-truncate has-button">
                        <thead>
                          <tr>
                            <th style="min-width: 100px; max-width: 150px;" v-for="(v, k, i) in table.headers">{{ v }}</th>
                          </tr>
                        </thead>
                        <tbody>
                            <tr v-for="detail, index in data">
                              <td v-for="(v, k, i) in table.headers">
                                <a 
                                  v-if="i === 0" 
                                  href="#" 
                                  @click="setChildData(JSON.stringify(detail))">
                                  {{ detail[k] }}
                                </a>
                                <div v-if="i !== 0">{{ detail[k] }}</div>
                              </td>
                            </tr>
                        </tbody>
                      </table>
                    </div>
                    <!-- /.box-body -->
                  </div>
                  <!-- /.box -->
                </div>
              </div>

              <div class="row paginate-container">
                <div class="col col-xs-12">
                  <pagination :template="paginationContainer">
                    <div v-html="paginationContainer"></div>
                  </pagination>
                </div>
              </div>
            </slot>
          </div>
  
          <div class="modal-footer">
            <slot name="footer">
              <button class="modal-default-button" @click="$emit('close')"> 閉じる</button>
            </slot>
          </div>
        </div>
      </div>
    </div>
  </transition>
</script>

<!-- Customized input search area for customer -->
<script type="text/x-template" id="customer-input-search-template">
  <div id="sec01">

  <h2 class="tpcirle">担当者マスタ検索一覧</h2>
                
  <div class="boxFrame half">
    <div class="inputBox">
      <div class="labelTxt">顧客姓</div>
      <p><input type="text" name="lastName" :value="search.lastName" @input="handleSearchInput($event, 'lastName')"/></p>
    </div>
  </div>

  <div class="boxFrame half">
    <div class="inputBox">
      <div class="labelTxt">顧客名</div>
      <p><input type="text" name="firstName" :value="search.firstName" @input="handleSearchInput($event, 'firstName')" /></p>
    </div>
  </div>

  <div class="boxFrame half">
    <div class="inputBox">
      <div class="labelTxt">顧客姓(カナ)</div>
      <p><input type="text" name="lastNameKana" :value="search.lastNameKana" @input="handleSearchInput($event, 'lastNameKana')"/></p>
    </div>
  </div>

  <div class="boxFrame half">
    <div class="inputBox">
      <div class="labelTxt">顧客名(カナ)</div>
      <p><input type="text" name="firstNameKana" :value="search.firstNameKana" 
        @input="handleSearchInput($event, 'firstNameKana')" /></p>
    </div>
  </div>

  <div class="boxFrame half">
    <div class="inputBox">
      <div class="labelTxt">無効化フラグ</div>
      <p>
        <label><input type="checkbox" name="deleted" value="0" :checked="isChecked('0')" @change="handleSearchInput($event, 'deleted', true)" >有効</label>
        <label><input type="checkbox" name="deleted" value="1" :checked="isChecked('1')" @change="handleSearchInput($event, 'deleted', true)" >無効</label>
      </p>
    </div>
  </div>

  <div class="clear"></div>
  <div class="searchButton">
    <button type="button" class="btn-search" @click="searchData()">検索</button>
  </div>
</div>
</script>


<!-- Customized input search area for car -->
<script type="text/x-template" id="car-input-search-template">
  <div id="sec01">

  <h2 class="tpcirle">担当者マスタ検索一覧(Car)</h2>
                
  <div class="boxFrame half">
    <div class="inputBox">
      <div class="labelTxt">顧客姓</div>
      <p><input type="text" name="lastName" :value="search.lastName" /></p>
    </div>
  </div>

  <div class="boxFrame half">
    <div class="inputBox">
      <div class="labelTxt">顧客名</div>
      <p><input type="text" name="firstName" :value="search.firstName" /></p>
    </div>
  </div>

  <div class="boxFrame half">
    <div class="inputBox">
      <div class="labelTxt">顧客姓(カナ)</div>
      <p><input type="text" name="lastNameKana" :value="search.lastNameKana"  /></p>
    </div>
  </div>

  <div class="boxFrame half">
    <div class="inputBox">
      <div class="labelTxt">顧客名(カナ)</div>
      <p><input type="text" name="firstNameKana" :value="search.firstNameKana"  /></p>
    </div>
  </div>

  <div class="boxFrame half">
    <div class="inputBox">
      <div class="labelTxt">無効化フラグ</div>
      <p>
        <label><input type="checkbox" name="deleted" value="0" @checked="isChecked(search.deleted, '0', true)" >有効</label>
        <label><input type="checkbox" name="deleted" value="1" @checked="isChecked(search.deleted, '1')" >無効</label>
      </p>
    </div>
  </div>

  <div class="clear"></div>
  <div class="searchButton">
    <button type="button" class="btn-search">検索</button>
  </div>
</div>
</script>
